Imports System.Drawing

Namespace UTSModule.Project
    Public Class StationInfo
        Sub New(project As ProjectInfo)
            Index = String.Empty
            SerialNumber = String.Empty
            Name = String.Empty
            Description = String.Empty

            DevType = String.Empty
            DevApp = String.Empty

            UserId = String.Empty

            Packet = New ProjectStationPacket(Me)
            ParentProject = project
        End Sub



        ''' <summary>
        ''' 项目站索引，项目站唯一索引,新建站时自动生成,生成后不能修改
        ''' </summary>
        ''' <returns></returns>
        Public Property Index As String

        ''' <summary>
        ''' 项目站名称
        ''' </summary>
        ''' <returns></returns>
        Public Property Name As String

        ''' <summary>
        ''' 项目站序号,表示该站在项目站总流程中测试顺序
        ''' 例如T01，表示当前为第一站
        ''' </summary>
        ''' <returns></returns>
        Public Property SerialNumber() As String

        ''' <summary>
        ''' 使用测试站的设备类型
        ''' </summary>
        ''' <returns></returns>
        Public Property DevType() As String

        ''' <summary>
        ''' 使用测试站的设备软件名
        ''' </summary>
        ''' <returns></returns>
        Public Property DevApp() As String


        ''' <summary>
        ''' 项目站内容描述
        ''' </summary>
        ''' <returns></returns>
        Public Property Description As String


        ''' <summary>
        ''' 项目站当前操作人员,为当前登录人员账号
        ''' </summary>
        ''' <returns></returns>
        Public Property UserId As String


        ''' <summary>
        ''' 项目站关联的项目站包信息
        ''' </summary>
        ''' <returns></returns>
        Public Property Packet() As ProjectStationPacket


        ''' <summary>
        ''' 项目站所属项目信息
        ''' </summary>
        ''' <returns></returns>
        Public Property ParentProject() As ProjectInfo


        ''' <summary>
        ''' 站序号已被修改
        ''' </summary>
        ''' <returns></returns>
        Public Property SerialNumberChanged() As Boolean


        ''' <summary>
        ''' 站名已被修改
        ''' </summary>
        ''' <returns></returns>
        Public Property NameChanged() As Boolean

        ''' <summary>
        ''' 站描述已被修改
        ''' </summary>
        ''' <returns></returns>
        Public Property DescriptionChanged() As Boolean

        ''' <summary>
        ''' 站包名已被修改
        ''' </summary>
        ''' <returns></returns>
        Public Property PacketNameChanged() As Boolean

        ''' <summary>
        ''' 站包设备类型已被修改
        ''' </summary>
        ''' <returns></returns>
        Public Property DevTypeChanged() As Boolean

        ''' <summary>
        ''' 站包设备应用程序已被修改
        ''' </summary>
        ''' <returns></returns>
        Public Property DevAppChanged() As Boolean
    End Class
End Namespace